Ecore_Audio.h File Reference

Audio utility functions. More...

## Data Structures

struct | _Ecore_Audio_Vio

## Typedefs

typedef enum _Ecore_Audio_Type | Ecore_Audio_Type
typedef struct _Ecore_Audio_Module | Ecore_Audio_Module
| The audio module.
typedef struct _Ecore_Audio_Object | Ecore_Audio_Object
| The audio object.
typedef struct _Ecore_Audio_Vio | Ecore_Audio_Vio
| Holds the callback functions to implement virtual file IO.

## Enumerations

enum | _Ecore_Audio_Type { ECORE_AUDIO_TYPE_PULSE , ECORE_AUDIO_TYPE_ALSA , ECORE_AUDIO_TYPE_SNDFILE , ECORE_AUDIO_TYPE_TONE , ECORE_AUDIO_TYPE_CORE_AUDIO , ECORE_AUDIO_TYPE_CUSTOM , ECORE_AUDIO_TYPE_WASAPI , ECORE_AUDIO_MODULE_LAST }

## Functions

ECORE_AUDIO_API int | ecore_audio_init (void)
| Initializes the Ecore_Audio library.
ECORE_AUDIO_API int | ecore_audio_shutdown (void)
| Shuts down the Ecore_Audio library.
ECORE_AUDIO_API const char * | ecore_audio_obj_name_get (const Efl_Object *obj)
| Get the name of the object.
ECORE_AUDIO_API void | ecore_audio_obj_name_set (Efl_Object *obj, const char *name)
| Name of the object.

## Detailed Description

Audio utility functions.